## TODO:
# - separate package with rrdcached (init script, systemd file, etc)
#
# Conditional build:
%bcond_without	lua	# LUA binding
%bcond_without	perl	# Perl binding
%bcond_without	python	# Python binding
%bcond_without	ruby	# Ruby binding
%bcond_without	tcl	# Tcl binding
%bcond_without	rrd_graph	# disable all rrd_graph functions
%bcond_without	rrdcgi	# disable building of rrdcgi

%if %{without rrd_graph}
%undefine	with_rrdcgi
%endif

%define	pdir	RRDp
%include	/usr/lib/rpm/macros.perl
Summary:	RRDtool - round robin database
Summary(pl.UTF-8):	RRDtool - baza danych typu round-robin
Summary(pt_BR.UTF-8):	Round Robin Database, uma ferramenta para construção de gráficos
Summary(ru.UTF-8):	RRDtool - база данных с "циклическим обновлением"
Summary(uk.UTF-8):	RRDtool - це система зберігання та показу серійних даних
Name:		rrdtool
Version:	1.4.9
Release:	1
License:	GPL v2+ + FLOSS exception
Group:		Applications/Databases
Source0:	http://oss.oetiker.ch/rrdtool/pub/%{name}-%{version}.tar.gz
# Source0-md5:	1cea5a9efd6a48ac4035b0f9c7e336cf
Patch0:		%{name}-tcl-path.patch
URL:		http://oss.oetiker.ch/rrdtool/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.18
BuildRequires:	glib2-devel >= 1:2.28.7
BuildRequires:	groff
BuildRequires:	intltool
BuildRequires:	libdbi-devel
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	libxml2-devel >= 1:2.7.8
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.272
%if %{with rrd_graph}
BuildRequires:	cairo-devel >= 1.10.2
BuildRequires:	pango-devel >= 1:1.28.7
%endif
%if %{with lua}
BuildRequires:	lua51 >= 5.1
BuildRequires:	lua51-devel >= 5.1
%endif
%if %{with perl}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
%endif
%if %{with python}
BuildRequires:	python >= 2.3
BuildRequires:	python-devel >= 2.3
%endif
%if %{with ruby}
BuildRequires:	ruby-devel
%endif
%if %{with tcl}
BuildRequires:	tcl-devel
%endif
%{?with_rrd_graph:Requires:	cairo >= 1.10.2}
Requires:	glib2 >= 1:2.28.7
Requires:	libxml2 >= 1:2.7.8
%{?with_rrd_graph:Requires:	pango >= 1:1.28.7}
Suggests:	fonts-TTF-DejaVu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store
and display time-series data (i.e. network bandwidth, machine-room
temperature, server load average). It stores the data in a very
compact way that will not expand over time, and it presents useful
graphs by processing the data to enforce a certain data density. It
can be used either via simple wrapper scripts (from shell or Perl) or
via frontends that poll network devices and put a friendly user
interface on it.

%description -l pl.UTF-8
RRD jest akronimem Round Robin Database. Jest to system pozwalający na
składowanie i wyświetlanie czasowych serii danych (np. przepustowość
sieci, temperatura w pomieszczeniu, obciążenie serwera). Składuje dane
w "skondensowanej" postaci, która nie rozrasta się z biegiem czasu
oraz pozwala na produkowanie wykresów z użytecznymi danymi. Może być
używane poprzez prosty skrypcik (shell lub Perl), frontendy czy inne
interfejsy użytkownika.

%description -l pt_BR.UTF-8
RRD e' um sistema para armazenar e apresentar series temporais de
dados (i.e. utilização de rede, temperaturas, cargas em servidores).
Os dados são armazenados em uma forma compacta que não se expande com
o tempo, e gráficos podem ser apresentados processando-se esses dados.
RRD pode ser utilizado com wrapper scripts (em shell ou Perl) ou
através de front-ends.

%description -l ru.UTF-8
RRD - соращение для "Round Robin Database" (база данных с "циклическим
обновлением"). RRD - система для сохранения и показа информации за
определенный промежуток времени (например скорость передачи данных в
сети, температуру в машинном зале, среднюю загрузку сервера). Она
сохраняет данные в очень компактной форме, так что данные не будут
занимать все больше и больше места с течением времени и предоставляет
разумное графическое представление информации. Может быть использована
как из простых скриптов (shell, Perl, etc) или встроена в программы,
которые опрашивают сетевые устройства и показывают данные в удобном
для пользователя виде.

%description -l uk.UTF-8
Назва RRD - це акронім для Round Robin Database. RRD - це система
зберігання та показу серійних даних (наприклад, полоси каналу,
температура гермозони, завантаження сервера). RRD зберігає дані дуже
компактно і так, що розмір бази даних не збільшується з часом, та
презентує корисні графіки обробляючи дані з тим, щоб встановити
потрібну щільність вибірки в часі. RRD можна використовувати як через
прості wrapper-скрипти, так і через фронтенди, що опитують мережеві
пристрої та надають дружній інтерфейс користувача.

%package devel
Summary:	RRDtool development
Summary(pl.UTF-8):	Narzędzia programistyczne pakietu RRDtool
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão da librrd
Summary(ru.UTF-8):	RRDtool - Заголовки, необходимые для разработки
Summary(uk.UTF-8):	RRDtool - бібліотечні лінки та файли хедерів
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_rrd_graph:Requires:	cairo-devel >= 1.10.2}
Requires:	glib2-devel >= 1:2.28.7
Requires:	libdbi-devel
Requires:	libwrap-devel
Requires:	libxml2-devel >= 1:2.7.8
%{?with_rrd_graph:Requires:	pango-devel >= 1:1.28.7}

%description devel
RRDtool development files.

%description devel -l pl.UTF-8
Narzędzia programistyczne pakietu RRDtool.

%description devel -l pt_BR.UTF-8
RRD e' um sistema para armazenar e apresentar series temporais de
dados (i.e. utilização de rede, temperaturas, cargas em servidores).

Este pacote contem arquivos de desenvolvimento do RRD.

%description devel -l ru.UTF-8
RRD - соращение для "Round Robin Database" (база данных с "циклическим
обновлением"). RRD - система для сохранения и показа информации за
определенный промежуток времени (например скорость передачи данных в
сети, температуру в машинном зале, среднюю загрузку сервера).

Этот пакет позволяет создавать программы, которые используют это
библиотеку непосредственно.

%description devel -l uk.UTF-8
RRDtool - библиотечные линки и файлы хедеров.

%package static
Summary:	RRDtool static library
Summary(pl.UTF-8):	Statyczne biblioteki RRDtool
Summary(pt_BR.UTF-8):	Biblioteca estática librrd
Summary(ru.UTF-8):	RRDtool - Статические библиотеки
Summary(uk.UTF-8):	Статичні бібліотеки RRDtool
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
RRDtool static library.

%description static -l pl.UTF-8
Statyczne biblioteki RRDtool.

%description static -l pt_BR.UTF-8
RRD e' um sistema para armazenar e apresentar series temporais de
dados (i.e. utilização de rede, temperaturas, cargas em servidores).

Este pacote contem a biblioteca estática do RRD.

%description static -l ru.UTF-8
RRD - соращение для "Round Robin Database" (база данных с "циклическим
обновлением"). RRD - система для сохранения и показа информации за
определенный промежуток времени (например скорость передачи данных в
сети, температуру в машинном зале, среднюю загрузку сервера). Этот
пакет позволяет создавать статически слинкованные программы, которые
используют это библиотеку непосредственно.

%description static -l uk.UTF-8
Статичні бібліотеки для розробки програм, що використовують RRDtool.

%package doc
Summary:	RRDtool documentation
Group:		Documentation
# noarch subpackages only when building with rpm5
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description doc
RRD is the Acronym for Round Robin Database. RRD is a system to store
and display time-series data (i.e. network bandwidth, machine-room
temperature, server load average).

This package contains documentation on using RRD.

%package -n lua-rrdtool
Summary:	RRD module for Lua
Summary(pl.UTF-8):	Moduł RRD dla języka Lua
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Requires:	lua51

%description -n lua-rrdtool
Lua interface to RRDtool.

%description -n lua-rrdtool -l pl.UTF-8
Interfejs języka Lua do RRDtoola.

%package -n perl-rrdtool
Summary:	Access RRDtool from Perl
Summary(pl.UTF-8):	Dostęp do RRDtoola z poziomu Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description -n perl-rrdtool
Perl modules to access RRDtool: RRDs to access RRDtool as shared
module and RRDp to access RRDtool via a set of pipes.

%description -n perl-rrdtool -l pl.UTF-8
Moduły Perla pozwalające na dostęp do RRDtoola: RRDs do dostępu do
RRDtoola jako modułu dzielonego oraz RRDp do dostępu poprzez zestaw
potoków.

%package -n python-rrdtool
Summary:	Python interface to RRDtool
Summary(pl.UTF-8):	Pythonowy interfejs do RRDtoola
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-libs

%description -n python-rrdtool
Python interface to RRDtool, the graphing and logging utility.

%description -n python-rrdtool -l pl.UTF-8
Interfejs Pythona do RRDtoola - narzędzia do tworzenia wykresów i
logowania.

%package -n ruby-rrdtool
Summary:	Ruby interface to RRDtool
Summary(pl.UTF-8):	Interfejs języka Ruby do RRDtoola
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n ruby-rrdtool
Ruby interface to RRDtool, the graphing and logging utility.

%description -n ruby-rrdtool -l pl.UTF-8
Interfejs języka Ruby do RRDtoola - narzędzia do tworzenia wykresów i
logowania.

%package -n tcl-rrdtool
Summary:	Tcl extension to access the RRD library
Summary(pl.UTF-8):	Rozszerzenie Tcl-a pozwalające na dostęp do biblioteki Tcl
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}
Requires:	tcl

%description -n tcl-rrdtool
Tcl extension to access the RRD library.

%description -n tcl-rrdtool -l pl.UTF-8
Rozszerzenie Tcl-a pozwalające na dostęp do biblioteki Tcl.

%prep
%setup -q
%patch0 -p1

sed -i -e 's#\$TCL_PACKAGE_PATH#%{_prefix}/lib#g' configure.ac
sed -i -e 's#/lib/lua/#/%{_lib}/lua/#g' configure.ac

# We only want .txt and .html files for the main documentation
install -d docs/{html,/txt}
mv doc/*.txt docs/txt
mv doc/*.html docs/html

# Put Perl docs in Perl package
install -d perl-docs/html
mv docs/html/RRD*.html perl-docs/html

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	LUA=/usr/bin/lua5.1 \
	--disable-silent-rules \
	%{!?with_rrd_graph:--disable-rrd_graph} \
	%{!?with_rrdcgi:--disable-rrdcgi} \
	%{!?with_lua:--disable-lua} \
	%{!?with_python:--disable-python} \
	%{!?with_ruby:--disable-ruby} \
	%{!?with_tcl:--disable-tcl} \
	%{!?with_perl:--disable-perl} \
	--with-perl-options="INSTALLDIRS=vendor"

# empty RUBY_MAKE_OPTIONS as workaround for some make weirdness
# (tried to install without DESTDIR on plain make)
%{__make} \
	RUBY_MAKE_OPTIONS= \
	LUA_CFLAGS=-I/usr/include/lua51

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	perl_sitearch=%{perl_vendorarch} \
	pythondir=%{py_sitedir} \
	examplesdir=%{_examplesdir}/%{name}-%{version} \
	RUBYARCHDIR=$RPM_BUILD_ROOT%{ruby_archdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/librrd.la
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%if %{with lua}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lua/5.1/*.{la,a}
%endif

%if %{with perl}
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/RRDs/.packlist
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES CONTRIBUTORS NEWS README THREADS TODO
%attr(755,root,root) %{_libdir}/librrd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librrd.so.4
%attr(755,root,root) %{_libdir}/librrd_th.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librrd_th.so.4
%attr(755,root,root) %{_bindir}/rrdcached
%{?with_rrdcgi:%attr(755,root,root) %{_bindir}/rrdcgi}
%attr(755,root,root) %{_bindir}/rrdcreate
%attr(755,root,root) %{_bindir}/rrdinfo
%attr(755,root,root) %{_bindir}/rrdtool
%attr(755,root,root) %{_bindir}/rrdupdate
%{_mandir}/man1/bin_dec_hex.1*
%{_mandir}/man1/cdeftutorial.1*
%{_mandir}/man1/rpntutorial.1*
%{_mandir}/man1/rrd*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librrd.so
%attr(755,root,root) %{_libdir}/librrd_th.so
%{_libdir}/librrd_th.la
%{_includedir}/rrd*.h
%{_pkgconfigdir}/librrd.pc
%{_mandir}/man3/librrd.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/librrd.a
%{_libdir}/librrd_th.a

%files doc
%defattr(644,root,root,755)
%doc docs/html docs/txt
%{_examplesdir}/%{name}-%{version}

%if %{with lua}
%files -n lua-rrdtool
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lua/5.1/rrd.so*
%endif

%if %{with perl}
%files -n perl-rrdtool
%defattr(644,root,root,755)
%doc perl-docs/html/*
%{perl_vendorlib}/RRDp.pm
%{perl_vendorarch}/RRDs.pm
%dir %{perl_vendorarch}/auto/RRDs
%attr(755,root,root) %{perl_vendorarch}/auto/RRDs/RRDs.so
%{_mandir}/man3/RRDp.3*
%{_mandir}/man3/RRDs.3*
%endif

%if %{with python}
%files -n python-rrdtool
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/rrdtoolmodule.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/py_rrdtool-*.egg-info
%endif
%endif

%if %{with ruby}
%files -n ruby-rrdtool
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_archdir}/RRD.so
%endif

%if %{with tcl}
%files -n tcl-rrdtool
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/tclrrd%{version}.so
%{_prefix}/lib/tclrrd%{version}
%endif
%changelog
* Tue Jul 07 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/rrdtool.git;a=log;h=auto/th/rrdtool-1.4.9-1

* Mon Jun 08 2015 Elan Ruusamäe <glen@delfi.ee> a12c3e0
- add docs subpackage (noarch)

* Mon Jun 08 2015 Elan Ruusamäe <glen@delfi.ee> c7f7d8c
- verbose files

* Mon Jun 08 2015 Elan Ruusamäe <glen@delfi.ee> 30f15aa
- add rrdcgi bcond, depends on rrd_graph

* Mon Jun 08 2015 Elan Ruusamäe <glen@delfi.ee> 235819b
- add rrd_graph bcond

* Mon Jun 08 2015 Elan Ruusamäe <glen@delfi.ee> 3b8ab0b
- add perl bcond

* Mon Jun 08 2015 Elan Ruusamäe <glen@delfi.ee> d42d889
- add lua bcond, fix other bconds disabling

* Tue Apr 14 2015 Elan Ruusamäe <glen@delfi.ee> 17fc3a1
- up to 1.4.9

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 5ad352e
- release 7 (by relup.sh)

* Sun Mar 01 2015 Witold Filipczyk <witekfl@poczta.onet.pl> f07feaf
- rel 6, sorry.

* Sun Mar 01 2015 Witold Filipczyk <witekfl@poczta.onet.pl> c30f10c
- lua binary is lua5.1
- rel 9

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6bf8ffa
- updated gettext BR

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> 9ad52c1
- release 5 (by relup.sh)

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> bdc428c
- removed zero-sized .bs file

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> 1c738a9
- ruby 2.0 rebuild
- release 4 (by relup.sh)

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5107273
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 45bd655
- release 2 (by relup.sh)

* Sat Jun 15 2013 Jakub Bogusz <qboosh@pld-linux.org> d1eb7fe
- updated required pango version

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 9a2e341
- up to 1.4.8
- automake fixed upstream

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0519d50
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Nov 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 79b12f3
- updated BR versions, added libwrap-devel

